2016-12-11 13:59 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005281CentOS-6-OTHERpublic2011-12-21 17:58
ReporterJohnnyHughes 
PrioritynoneSeverityminorReproducibilityN/A
StatusacknowledgedResolutionopen 
PlatformOSCentOS-6OS Version
Product Version6.1 
Target Version6.1Fixed in Version 
Summary0005281: Packages have added .centos. in name to rebuild, are not modified
DescriptionNormally, adding a .centos. to the file name signifies that a package is modified.

Due to an error with the way the "_host" is set by the upstream provider (see #5158), several packages need to be rebuilt and be "Newer" to get installed over the older versions.

These packages will be detailed in the notes section below.

These packages are not modified, and once newer packages are released from upstream, the .centos. will be dropped from the package name.

We use .centos. to upgrade these because we do not want to increment the release to a higher numeric value as that may render a new upstream release as not "Newer" than our incremented value.
TagsNo tags attached.
Attached Files

-Relationships
related to 0005158resolvedIssue Tracker centos6 BASH_VERSINFO[5]/MACHTYPE 
related to 0004995resolvedkbsingh@karan.org grub-0.97-68.el6 breaks some scripts having image files in /usr/share/grub/x86_64-unknown 
+Relationships

-Notes

~0013859

JohnnyHughes (administrator)

The following SRPMS are modified as described above and will get the .centos. dropped from their name the next time they are upgraded from upstream:

bash
emacs
gtk2
pango

gtk2 rebuild also made these packages need a rebuild, with the same .centos. needing to be added:

at-spi
gtk2-engines
ibus
libcanberra
libgail-gnome
librsvg2
libwmf
PackageKit

~0013994

toracat (manager)

Just a note to say that this info (and the bug number) appears in the CentOS Release Notes for 6.1 and 6.2. So anyone reading the RN are well informed.
+Notes

-Issue History
Date Modified Username Field Change
2011-12-02 10:42 JohnnyHughes New Issue
2011-12-02 10:43 JohnnyHughes Relationship added related to 0005158
2011-12-02 10:43 JohnnyHughes Relationship added related to 0004995
2011-12-02 10:47 JohnnyHughes Note Added: 0013859
2011-12-02 10:58 JohnnyHughes Status new => acknowledged
2011-12-21 17:58 toracat Note Added: 0013994
+Issue History